Subject: bug#70703: closed (Re: [bug#70703] [PATCH 0/2] Update rofi-pass; add rofi-pass-wayland)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 26 Jun 2024 19:25:02 +0000

Your bug report

#70703: [PATCH 0/2] Update rofi-pass; add rofi-pass-wayland

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70703: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70703
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70703] [PATCH 0/2] Update rofi-pass; add rofi-pass-wayland
From: John Kehayias <[email-masked]>
To: [email-masked]
Date: Wed, 26 Jun 2024 19:24:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, May 01, 2024 at 08:26 PM, John Kehayias wrote:

> Hello,
>
> In recently moving to Wayland, I found rofi-pass doesn't support Wayland. Well
> at least our version. There has been no release in over 5 years, but recent
> commits (and seems from a Guix contributor) add Wayland support. So, two
> patches:
>
> 1. update rof-pass to the current commit. Rewrite the package definition to
> include all the needed tools, config file, extra script, and improve the
> style.
>
> 2. add rofi-pass-wayland. This replaces the X tools with Wayland ones in the
> inputs and phases, and modifies the default configuration file to use
> them. I've been using this one locally and it works well on Wayland.
>
> Thanks!
> John
>
> John Kehayias (2):
>   gnu: rofi-pass: Update to 2.0.2-0.8aa6b92.
>   gnu: Add rofi-pass-wayland.
>
>  gnu/packages/password-utils.scm | 137 +++++++++++++++++++++++++-------
>  1 file changed, 107 insertions(+), 30 deletions(-)
>
>
> base-commit: 2aeb9faa421635c0531d96658414e5bf288a3142
> --
> 2.41.0

Pushed as eef9e0ee8fc7201020a3ef31c28a07023e23dc0c and
947005f5eea7f9e92060faefdeb705afb3d1878d

(since I didn't hear anything and have been using this locally, though
of course still happy to make revisions)

Subject: [PATCH 0/2] Update rofi-pass; add rofi-pass-wayland
From: John Kehayias <[email-masked]>
To: [email-masked]
Cc: John Kehayias <[email-masked]>
Date: Wed, 01 May 2024 20:26:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

In recently moving to Wayland, I found rofi-pass doesn't support Wayland. Well
at least our version. There has been no release in over 5 years, but recent
commits (and seems from a Guix contributor) add Wayland support. So, two
patches:

1. update rof-pass to the current commit. Rewrite the package definition to
include all the needed tools, config file, extra script, and improve the
style.

2. add rofi-pass-wayland. This replaces the X tools with Wayland ones in the
inputs and phases, and modifies the default configuration file to use
them. I've been using this one locally and it works well on Wayland.

Thanks!
John

John Kehayias (2):
  gnu: rofi-pass: Update to 2.0.2-0.8aa6b92.
  gnu: Add rofi-pass-wayland.

 gnu/packages/password-utils.scm | 137 +++++++++++++++++++++++++-------
 1 file changed, 107 insertions(+), 30 deletions(-)

base-commit: 2aeb9faa421635c0531d96658414e5bf288a3142
--
2.41.0